/////////////////////////////////////////////////
//入力項目チェック
/////////////////////////////////////////////////
function funcInputCheck() {
	var f = document.forms[0];
	var bCheckResult = true;

	//NTPサーバ
	if(document.getElementById('rdoTimeSetType1').checked && f.ReqNtpServerName.value == '') {
		document.getElementById('TR_NtpServerName').className = 'gnp-error-point';
		document.getElementById('P_NtpServerName').style.display = '';
		document.getElementById('P_NtpServerName').innerHTML = '※NTPサーバは、省略できません。';
		bCheckResult = false;
	} else if(f.ReqNtpServerName.value != '' && checkCharType(f.ReqNtpServerName.value, 'hankaku') == false) {
		document.getElementById('TR_NtpServerName').className = 'gnp-error-point';
		document.getElementById('P_NtpServerName').style.display = '';
		document.getElementById('P_NtpServerName').innerHTML = '※NTPサーバは、フォーマットが正しくありません。［半角英数字記号100文字まで］';
		bCheckResult = false;
	} else {
		document.getElementById('TR_NtpServerName').className = '';
		document.getElementById('P_NtpServerName').style.display='none';
		document.getElementById('P_NtpServerName').innerHTML = '';
	}
	
	//ICカード登録パスワード
	//必須
	if(f.ReqPassword.value != '' && (f.ReqPassword.value.length != 4 || checkCharType(f.ReqPassword.value, 'numeric') == false)) 
	{
		document.getElementById('TR_Password').className = 'gnp-error-point';
		document.getElementById('P_Password').style.display = '';
		document.getElementById('P_Password').innerHTML = '※ICカード登録パスワードは、フォーマットが正しくありません。［半角数字4文字］';
		bCheckResult = false;

	//確認パスワードと一致チェック
	}else if(f.ReqPassword.value != f.ReqPasswordConfirm.value)
	{
		document.getElementById('TR_PasswordConfirm').className = 'gnp-error-point';
		document.getElementById('P_PasswordConfirm').style.display = '';
		document.getElementById('P_PasswordConfirm').innerHTML = '※ICカード登録パスワードと一致しません。';
		bCheckResult = false;
	}
	
// V100R003 -->
//	//プログラムダウンロードサーバ
//	if(f.ReqDataSvrUrl.value == '') {
//		document.getElementById('TR_DataSvrUrl').className = 'gnp-error-point';
//		document.getElementById('P_DataSvrUrl').style.display = '';
//		document.getElementById('P_DataSvrUrl').innerHTML = '※サーバは、省略できません。';
//		bCheckResult = false;
//	} else if(f.ReqDataSvrUrl.value != '' && checkCharType(f.ReqDataSvrUrl.value, 'hankaku') == false) {
//		document.getElementById('TR_DataSvrUrl').className = 'gnp-error-point';
//		document.getElementById('P_DataSvrUrl').style.display = '';
//		document.getElementById('P_DataSvrUrl').innerHTML = '※サーバ（項目）は、フォーマットが正しくありません。［半角英数字記号256文字まで］';
//		bCheckResult = false;
//	} else {
//		document.getElementById('TR_DataSvrUrl').className = '';
//		document.getElementById('P_DataSvrUrl').style.display='none';
//		document.getElementById('P_DataSvrUrl').innerHTML = '';
//	}
// V100R003 <--
// V100R015 -->
	if(f.ReqConnectTerm.value != '' && checkCharType(f.ReqConnectTerm.value, 'hankaku') == false) {
		document.getElementById('TR_ConnectTerm').className = 'gnp-error-point';
		document.getElementById('P_ConnectTerm').style.display = '';
		document.getElementById('P_ConnectTerm').innerHTML = '※許可端末IPアドレスは、フォーマットが正しくありません。［半角英数字記号256文字まで］';
		bCheckResult = false;
	}
	if(f.ReqConnectTermMac.value != '' && checkCharType(f.ReqConnectTermMac.value, 'hankaku') == false) {
		document.getElementById('TR_ConnectTermMac').className = 'gnp-error-point';
		document.getElementById('P_ConnectTermMac').style.display = '';
		document.getElementById('P_ConnectTermMac').innerHTML = '※許可端末MACアドレスは、フォーマットが正しくありません。［半角英数字記号256文字まで］';
		bCheckResult = false;
	}
// V100R015 <--

	if(bCheckResult == false) {
		document.getElementById('DIV_Error').style.display = '';
		return false;
	} else {
		document.getElementById('DIV_Error').style.display = 'none';

		//画面設定により、XML項目の編集
		funcEditXMLItem();
		return true;
	}
}

/////////////////////////////////////////////////
//画面設定により、XML項目の編集処理
/////////////////////////////////////////////////
function funcEditXMLItem() {
	var f = document.forms[0];
	f.ReqMasterDlBase.value = f.selMasterDlBaseHH.value + ':' + f.selMasterDlBaseMM.value;

	// V100R022
	f.ReqRebootTime.value = f.selRebootTimeHH.value + ':' + f.selRebootTimeMM.value;
}

/////////////////////////////////////////////////
//ボディオンロードイベント処理
/////////////////////////////////////////////////
function funcOnload() {
	var f = document.forms[0];
	//時刻合わせ方法
	//日付表示
	if(f.hidTimeSetType.value == '1') {
		document.getElementById('rdoTimeSetType1').checked = true;
	} else if(f.hidTimeSetType.value == '2') {
		document.getElementById('rdoTimeSetType2').checked = true;
	} else {
		document.getElementById('rdoTimeSetType0').checked = true;
	}
	//同期間隔
	if(f.hidTimeSetInterval.value != '') {
		f.ReqTimeSetInterval.value = f.hidTimeSetInterval.value;
	}
	
	//ICカード登録機能
	if(f.hidICCardRegist.value == '0')
	{
		document.getElementById('rdoICCardRegist0').checked = true;
	}else
	{
		document.getElementById('rdoICCardRegist1').checked = true;
	}

	//ICカード登録パスワード
	if(f.hidICCardPassword.value != '') 
	{
console.log(f.hidICCardPassword.value);
		f.ReqPassword.value = f.hidICCardPassword.value;
		f.ReqPasswordConfirm.value = f.hidICCardPassword.value;
	}
	
	//打刻データ収集方法
	if(f.hidStampCollection.value != '') {
		f.ReqStampCollection.value = f.hidStampCollection.value;
	}
	//送信異常時の再送信待ち時間
	if(f.hidReSendWaitTime.value != '') {
		f.ReqReSendWaitTime.value = f.hidReSendWaitTime.value;
	}
	//打刻データ送信電文仕様
	if(f.hidStampProcess.value != '') {
		f.ReqStampProcess.value = f.hidStampProcess.value;
	}
	//自動ダウンロード設定使用有無
	if(f.hidMasterDl.value == '1') {
		document.getElementById('rdoMasterDl1').checked = true;
		document.getElementById('rdoMasterDl1').click();
	} else {
		document.getElementById('rdoMasterDl0').checked = true;
		document.getElementById('rdoMasterDl0').click();
	}
	//自動ダウンロード設定 起点時刻
	if(f.ReqMasterDlBase.value != '') {
		setHHMM(f.ReqMasterDlBase.value, f.selMasterDlBaseHH, f.selMasterDlBaseMM);
	}
	//自動ダウンロード設定 間隔
	if(f.hidMastDlInterval.value != '') {
		f.ReqMastDlInterval.value = f.hidMastDlInterval.value;
	}
// V100R015 -->
	//社員マスタフォーマット設定
	if(f.hidMasterFormat.value == '0') {
		document.getElementById('rdoMasterFmt0').checked = true;
		document.getElementById('rdoMasterFmt0').click();
	} else {
		document.getElementById('rdoMasterFmt1').checked = true;
		document.getElementById('rdoMasterFmt1').click();
	}
	//簡易フォーマット文字コード
	if(f.hidMasterEncode.value != '') {
		f.ReqMasterEncode.value = f.hidMasterEncode.value;
	}
// V100R015 <--
// V100R003 -->
	//プログラムアップデート　接続先サーバ
	if(f.hidPgUpdServer.value != '') {
		f.ReqPgUpdServer.value = f.hidPgUpdServer.value;
	}
// V100R003 <--
// V100R015 -->
	if(f.hidExtConnectTerm.value == '0')
	{
		document.getElementById('DIV_ExtConnectTerm').style.display = 'none';
	}
	// Option
	if(f.hidExtConnectTermOrg.value == '0') {
		document.getElementById('rdoExtConnectTerm0').checked = true;
		document.getElementById('rdoExtConnectTerm0').click();
	} else {
		document.getElementById('rdoExtConnectTerm1').checked = true;
		document.getElementById('rdoExtConnectTerm1').click();
	}
	if(f.hidExtDnsSecondary.value == '0') {
		document.getElementById('rdoExtDnsSecondary0').checked = true;
		document.getElementById('rdoExtDnsSecondary0').click();
	} else {
		document.getElementById('rdoExtDnsSecondary1').checked = true;
		document.getElementById('rdoExtDnsSecondary1').click();
	}
// V100R015 <--
// V100R020 -->
	if(f.hidExtProcTop.value == '0') {
		document.getElementById('rdoExtProcTop0').checked = true;
		document.getElementById('rdoExtProcTop0').click();
	} else {
		document.getElementById('rdoExtProcTop1').checked = true;
		document.getElementById('rdoExtProcTop1').click();
	}
	if(f.hidPassTermInfo.value == '0') {
		document.getElementById('rdoPassTermInfo0').checked = true;
		document.getElementById('rdoPassTermInfo0').click();
	} else {
		document.getElementById('rdoPassTermInfo1').checked = true;
		document.getElementById('rdoPassTermInfo1').click();
	}
// V100R020 <--
// V100R022 -->
	//自動再起動
	if(f.hidRebootDayOfWeek.value != '') {
		f.ReqRebootDayOfWeek.value = f.hidRebootDayOfWeek.value;
	}
	if(f.ReqRebootTime.value != '') {
		setHHMM(f.ReqRebootTime.value, f.selRebootTimeHH, f.selRebootTimeMM);
	}
	if(f.hidExtProcTop.value == '0')
	{
		document.getElementById('DIV_Reboot').style.display = 'none';
	}
// V100R022 <--

	if( f.GNPUserMode.value != 'super' && f.GNPUserMode.value != 'option' )
	{
		document.getElementById('TR_ExtOption').style.display = 'none';
	}
}

/////////////////////////////////////////////////
//時コンボと分コンボ
/////////////////////////////////////////////////
function setHHMM(value, selHH, selMM) {
	var strHHMM = value.split(':');
	selHH.value = strHHMM[0];
	selMM.value = strHHMM[1];
}