#!/bin/bash
# Get Network Default Getwayk and Try Ping
#
# File Version 001.000
#
# param
# $1:Network Device

defgw="";

if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
  defgw=$(sudo ip route | grep " dev $1 src" | cut -f 3 -d " ")
else
  defgw=$(sudo ip route | grep " dev $1  metric" | cut -f 3 -d " ")
fi

echo $defgw

if [ -n "$defgw" ]; then
  ping -c 1 $defgw
  retping=$?
  echo $retping
  if [ $retping -eq 0 ] ; then
    echo "wifi-chk-result-OK"
  else
    if [ $retping -eq 1 ] ; then
      if [ -e /home/pi/Greennuts/os_stretch.txt ]; then
        sudo ifconfig $1 down
        sudo ifconfig $1 up
      else
        sudo ifdown $1
        sudo ifup $1
      fi
      echo "wifi-chk-result-NG-Restart"
    else
      echo "wifi-chk-result-NON"
    fi
  fi
else
    echo "wifi-chk-result-OFF"
fi
